Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Interface SchemaAnnotation

All Superinterfaces:
  SchemaComponent

public interface SchemaAnnotation
extends SchemaComponent

Represents a Schema annotation.

Nested Class Summary
`static interface` | `SchemaAnnotation.Attribute` Represents an attribute instance

Nested classes inherited from class org.apache.xmlbeans.SchemaComponent
`SchemaComponent.Ref`

Field Summary

Fields inherited from interface org.apache.xmlbeans.SchemaComponent
`ANNOTATION, ATTRIBUTE, ATTRIBUTE_GROUP, ELEMENT, IDENTITY_CONSTRAINT, MODEL_GROUP, NOTATION, TYPE`

Method Summary
`XmlObject[]` | `getApplicationInformation()` Retrieves all application information items from this annotation
`SchemaAnnotation.Attribute[]` | `getAttributes()` Retrieves all attributes that are is a namespace other than http://www.w3.org/2001/XMLSchema from the annotation element and from the enclosing Schema component
`XmlObject[]` | `getUserInformation()` Retrieves all document information items from this annotation

Methods inherited from interface org.apache.xmlbeans.SchemaComponent
`getComponentRef, getComponentType, getName, getSourceName, getTypeSystem`

Method Detail

### getApplicationInformation

    public XmlObject[] getApplicationInformation()

  Retrieves all application information items from this annotation

### getUserInformation

    public XmlObject[] getUserInformation()

  Retrieves all document information items from this annotation

### getAttributes

    public SchemaAnnotation.Attribute[] getAttributes()

  Retrieves all attributes that are is a namespace other than http://www.w3.org/2001/XMLSchema from the annotation element and from the enclosing Schema component

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD